> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Buckets



## OpenAPI

````yaml https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/buckets
openapi: 3.0.3
info:
  title: Insforge Storage API
  version: 2.0.0
  description: Bucket-based storage system similar to S3
servers: []
security: []
paths:
  /api/storage/buckets:
    get:
      tags:
        - Admin
      summary: List All Buckets
      responses:
        '200':
          description: List of buckets
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - name
                    - public
                    - createdAt
                  properties:
                    name:
                      type: string
                    public:
                      type: boolean
                    createdAt:
                      type: string
                      format: date-time
              example:
                - name: avatars
                  public: true
                  createdAt: '2024-01-21T10:30:00Z'
                - name: documents
                  public: false
                  createdAt: '2024-01-22T14:20:00Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````